# Registro Header de Arquivo

# Baseado na documenta��o da FEBRABAN (Vers�o 09.1 de 19/10/2015)
# Dispon�vel em: http://www.febraban.org.br/LerArquivo.asp?Tabela=Home_Arquivos&codigo=id_arquivo&campo1=arquivo&campo2=QtdeAcessos&id_codigo=3986&campo3=arquivos/

codigo_banco:
  # C�digo do Banco na Compensa��o (G001)
  # C�digo fornecido pelo Banco Central para identifica��o do Banco que est� recebendo ou enviando 
  # o arquivo, com o qual se firmou o contrato de presta��o de servi�os. Preencher com "888" quando 
  # a transfer�ncia for efetuada para outra institui��o financeira utilizando o c�digo ISPB. Neste 
  # caso, dever� ser preenchido o c�digo ISPB no campo 29.3Y.
  pos: [1, 3]
  picture: '9(3)'

lote_servico:
  # Lote de Servi�o (G002)
  # N�mero seq�encial para identificar univocamente um lote de servi�o. Criado e controlado pelo 
  # respons�vel pela gera��o magn�tica dos dados contidos no arquivo.
  # Preencher com '0001' para o primeiro lote do arquivo. Para os demais: n�mero do lote anterior 
  # acrescido de 1. O n�mero n�o poder� ser repetido dentro do arquivo.
  # Se registro for Header do Arquivo preencher com '0000'
  # Se registro for Trailer do Arquivo preencher com '9999'
  pos: [4, 7]
  picture: '9(4)'
  default: '0000'

tipo_registro:
  # Tipo de Registro (G003)
  # C�digo adotado pela FEBRABAN para identificar o tipo de registro.
  # Dom�nio:
  # '0' = Header de Arquivo
  # '1' = Header de Lote
  # '2' = Registros Iniciais do Lote
  # '3' = Detalhe
  # '4' = Registros Finais do Lote
  # '5' = Trailer de Lote
  # '9' = Trailer de Arquivo
  pos: [8, 8]
  picture: '9(1)'
  default: '0'

uso_exclusivo_febraban_01:
  # Uso Exclusivo FEBRABAN / CNAB (G004)
  # Texto de observa��es destinado para uso exclusivo da FEBRABAN.
  # Preencher com Brancos.
  pos: [9, 17]
  picture: 'X(9)'
  default: ''

codigo_inscricao:
  # Tipo de Inscri��o da Empresa (G005)
  # C�digo que identifica o tipo de inscri��o da Empresa ou Pessoa F�sica perante uma Institui��o 
  # governamental. Dom�nio:
  # '0' = Isento / N�o Informado
  # '1' = CPF
  # '2' = CGC / CNPJ
  # '3' = PIS / PASEP
  # '9' = Outros
  # - Preenchimento deste campo � obrigat�rio para DOC e TED (Forma de Lan�amento = 03, 41, 43).
  # - Para pagamento para o SIAPE com cr�dito em conta, o CPF dever� ser do 1o titular.
  # - Para o Produto/Servi�o Cobran�a considerar como obrigat�rio, a partir de 01.06.2015, somente 
  # o CPF (c�digo 1) ou o CNPJ (c�digo 2). Os demais c�digos n�o dever�o ser utilizados.
  pos: [18, 18]
  picture: '9(1)'

numero_inscricao:
  # N�mero de Inscri��o da Empresa (G006)
  # N�mero de inscri��o da Empresa ou Pessoa F�sica perante uma Institui��o governamental.
  # Quando o Tipo de Inscri��o for igual a zero (n�o informado), preencher com zeros.
  pos: [19, 32]
  picture: '9(14)'

codigo_convenio:
  # C�digo do Conv�nio no Banco (G007) (C�digo do Cedente)
  # C�digo adotado pelo Banco para identificar o Contrato entre este e a Empresa Cliente.
  pos: [33, 52]
  picture: 'X(20)'

agencia:
  # Ag�ncia Mantenedora da Conta (G008)
  # C�digo adotado pelo Banco respons�vel pela conta, para identificar a qual unidade est�
  # vinculada a conta corrente.
  pos: [53, 57]
  picture: '9(5)'

agencia_dv:
  # D�gito Verificador da Ag�ncia (G009)
  # C�digo adotado pelo Banco respons�vel pela conta corrente, para verifica��o da
  # autenticidade do C�digo da Ag�ncia.
  pos: [58, 58]
  picture: 'X(1)'

conta:
  # N�mero da Conta Corrente (G010)
  # N�mero adotado pelo Banco, para identificar univocamente a conta corrente utilizada pelo
  # Cliente.
  pos: [59, 70]
  picture: '9(12)'

conta_dv: 
  # D�gito Verificador da Conta (G011)
  # C�digo adotado pelo respons�vel pela conta corrente, para verifica��o da autenticidade do
  # N�mero da Conta Corrente.
  # Para os Bancos que se utilizam de duas posi��es para o D�gito Verificador do N�mero da
  # Conta Corrente, preencher este campo com a 1a posi��o deste d�gito.
  # Exemplo :
  # N�mero C/C = 45981-36
  # Neste caso D�gito Verificador da Conta = 3
  pos: [71, 71]
  picture: 'X(1)'

agencia_mais_cedente_dv:
  # D�gito Verificador da Ag�ncia / Conta Corrente (G012)
  # C�digo adotado pelo Banco respons�vel pela conta corrente, para verifica��o da
  # autenticidade do par C�digo da Ag�ncia / N�mero da Conta Corrente.
  # Para os Bancos que se utilizam de duas posi��es para o D�gito Verificador do N�mero da
  # Conta Corrente, preencher este campo com a 2a posi��o deste d�gito.
  # Exemplo :
  # N�mero C/C = 45981-36
  # Neste caso D�gito Verificador da Ag/Conta = 6
  pos: [72, 72]
  picture: 'X(1)'

nome_empresa:
  # Nome (G013)
  # Nome que identifica a pessoa, f�sica ou jur�dica, a qual se quer fazer refer�ncia.
  pos: [73, 102]
  picture: 'X(30)'

nome_banco:
  # Nome do Banco (G014)
  # Nome que identifica o Banco que est� recebendo ou enviando o arquivo.
  pos: [103, 132]
  picture: 'X(30)'

uso_exclusivo_febraban_02:
  # Uso Exclusivo FEBRABAN / CNAB (G004)
  # Texto de observa��es destinado para uso exclusivo da FEBRABAN.
  # Preencher com Brancos.
  pos: [133, 142]
  picture: 'X(10)'
  default: ''

codigo_remessa_retorno:
  # C�digo Remessa / Retorno (G015)
  # C�digo adotado pela FEBRABAN para qualificar o envio ou devolu��o de arquivo entre a
  # Empresa Cliente e o Banco prestador dos Servi�os.
  # Dom�nio:
  # '1' = Remessa (Cliente Banco)
  # '2' = Retorno (Banco Cliente)
  pos: [143, 143]
  picture: '9(1)'

data_geracao:
  # Data de Gera��o do Arquivo (G016)
  # Data da cria��o do arquivo.
  # Utilizar o formato DDMMAAAA, onde :
  # DD = dia
  # MM = m�s
  # AAAA = ano
  pos: [144, 151]
  picture: '9(8)'
  date_format: '%d%m%Y'

hora_geracao:
  # Hora de Gera��o do Arquivo (G017)
  # Hora da cria��o do arquivo.
  # Utilizar o formato HHMMSS, onde :
  # HH = hora
  # MM = minuto
  # SS = segundo
  pos: [152, 157]
  picture: '9(6)'
  date_format: '%H%M%S'

numero_sequencial_arquivo:
  # N�mero Seq�encial do Arquivo (G018)
  # N�mero seq�encial adotado e controlado pelo respons�vel pela gera��o do arquivo para
  # ordenar a disposi��o dos arquivos encaminhados.
  # Evoluir um n�mero seq�encial a cada header de arquivo.
  pos: [158, 163]
  picture: '9(6)'

versao_layout_arquivo:
  # N�mero da Vers�o do Layout do Arquivo (G019)
  # C�digo adotado pela FEBRABAN para identificar qual a vers�o de layout do arquivo
  # encaminhado.
  # O c�digo � composto de:
  # Vers�o = 2 d�gitos
  # Release = 1 d�gito
  pos: [164, 166]
  picture: '9(3)'
  default: '081'

densidade_gravacao_arquivo:
  # Densidade de Grava��o do Arquivo (G020)
  # Densidade de grava��o (BPI), do arquivo encaminhado.
  # Dom�nio:
  # 1600 BPI
  # 6250 BPI
  pos: [167, 171]
  picture: '9(5)'
  default: '0'

uso_reservado_banco:
  # Para Uso Reservado do Banco (G021)
  # Texto de observa��es destinado para uso exclusivo do Banco.
  pos: [172, 191]
  picture: 'X(20)'
  default: ''

uso_reservado_empresa:
  # Para Uso Reservado da Empresa (G022)
  # Texto de observa��es destinado para uso exclusivo da Empresa.
  pos: [192, 211]
  picture: 'X(20)'
  default: ''

uso_exclusivo_febraban_03:
  # Uso Exclusivo FEBRABAN / CNAB (G004)
  # Texto de observa��es destinado para uso exclusivo da FEBRABAN.
  # Preencher com Brancos.
  pos: [212, 240]
  picture: 'X(29)'
  default: ''
